Bug 198274 - Certain FAT32 file names cannot be re-capatialized.
Certain FAT32 file names cannot be re-capatialized.
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
All Linux
medium Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
MassClosed
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-10 15:50 EDT by Craig Pemberton
Modified: 2008-01-19 23:38 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-19 23:38:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Craig Pemberton 2006-07-10 15:50:52 EDT
Description of problem: I have one particular file on my FAT32 partition that
stubbornly refuses to be renamed properly. Other files on this partition can do
this without problem.


Version-Release number of selected component (if applicable):
kernel-2.6.17-1.2145_FC5

How reproducible:
By moving or renaming the file with either Konqueror or command line.

Actual results:
 [/mnt/BASALM/Music] mv u2 U2
mv: cannot move `u2' to a subdirectory of itself, `U2/u2

Alternatively, 

 [/mnt/BASALM/Music] ls | grep 2
u2
 [/mnt/BASALM/Music] mv u2 blahblah2
 [/mnt/BASALM/Music] ls | grep 2
blahblah2
 [/mnt/BASALM/Music] mv blahblah2 U2
 [/mnt/BASALM/Music] ls | grep 2
u2
 [/mnt/BASALM/Music]  

Alternatively, right click and rename in Konqueror. This fails silently.


Expected results:

File moves to a capitalized name as expected.


Additional info:
This is disscussed here: http://www.fedoraforum.org/forum/showthread.php?t=116622
Comment 1 Dave Jones 2006-10-16 14:01:22 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 2 Jon Stanley 2008-01-19 23:38:35 EST
(this is a mass-close to kernel bugs in NEEDINFO state)

As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

If you believe that this bug was closed in error, please feel free to reopen
this bug.

Note You need to log in before you can comment on or make changes to this bug.